%define name xtables-addons
%define version 1.47.1
%define release 10
Summary: xtables-addons is a set of additional extensions for the Xtables packet filter.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SME Server/addon
Source: %{name}-%{version}.tar.xz
URL: http://xtables-addons.sourceforge.net
Patch0: xtables-addons-1.47.1-v6.patch
Patch1: xtables-addons-1.47.1-g2.patch
Packager: Michel Begue <mab974@gmail.com>
BuildRoot: %RPM_BUILD_ROOT
#BuildRequires: e-smith-devtools
BuildRequires: iptables-devel
Requires: smeserver-release >= 9.0
Requires: xtables-addons-kmod >= 1.47.1-1
Requires: perl-Text-CSV_XS >= 0.80
Requires: perl-IO-Socket-INET6 >= 2.67
Requires: perl-Socket >= 2.021
AutoReqProv: no
Provides: %{name}-kmod-common = %{version}

%description
%{name}  is a set of additional extensions for the Xtables packet filter that is present in the Linux kernel.

%changelog
* Tue Feb 19 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.47.1-10.sme
- rel 9 change requires xtables-addons-kmod to kmod-xtables-addons [SME: 10739]
  while it does not respect the rpmfusion doc, this seems the way to get depmod on install
- rel 10 reverse previous changes

* Mon Feb 18 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.47.1-8.sme
- include Michel Begue last patches and fixes
- changes for using GeoIP2 databases (download and build (-g2) + fetch)
  xtables-addons-1.47.1-g2.patch
- new dependency : perl-Socket
- new dependency : perl-IO-Socket-INET6 (bug sa-update)

* Sun Feb 17 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.47.1-7.sme
- fix missing Provides %{name}-kmod-common = %{version} [SME: 10734]

* Wed Feb 06 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.47.1-6.sme
- first import for SMe buildserver
- added Build requirements iptables-devel
- do not build kernel module --without-kbuild kmod package will do
- add macro to build both x86_64 and i386 

* Fri Sep 29 2017 Mab974 <mab974@gmail.com>
- extract "extensions" (kmod) from here to xtables-addons-kmod packet
- no more dependencie to kernel version

* Fri Sep 22 2017 Mab974 <mab974@gmail.com>
- initial release
- patch disable WITH_IPV6 in extra/*c

%prep

%setup
%patch0 -p1
%patch1 -p1

./configure --prefix=/usr --without-kbuild

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" 
%{__rm} -rf %{buildroot}/lib/modules/

%clean
%{__rm} -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-, root, root, 0755)
/%{_lib}/xtables/libxt_*
/usr/lib/libxt_*
/usr/libexec/xtables-*
/usr/sbin/iptaccount
/usr/share/man/man1/xt_*
/usr/share/man/man8/iptaccount.*
/usr/share/man/man8/xtables-*
